<div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="text-center">
                    <h1>login</h1>
                    <h5>please Register your self!!!</h5>
                </div>
                <form [formGroup] = "addUserForm" (submit)="createUser()">
                    <div class="mb-3">
                      <label for="exampleInputEmail1" class="form-label">Full Name</label>
                      <input type="text" class="form-control" formControlName ='username' aria-describedby="emailHelp">
                      <span *ngIf="addUserForm.controls['username'].errors&& addUserForm.controls['username'].hasError('required')">
                        fullName is required
                      </span>
                      <span class="text-danger" *ngIf="addUserForm.controls['username'].errors&& addUserForm.controls['username'].hasError('minlength')">
                        minimum length is 3

                      </span>
                    </div>
                    <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">Email address</label>
                        <input type="email" class="form-control" formControlName ='email' aria-describedby="emailHelp">
                        <div id="emailHelp" class="text" >We'll never share your email with anyone else.</div>
                        <span *ngIf="addUserForm.controls['email'].errors&& addUserForm.controls['email'].hasError('required')">
                          email is required
                        </span>
                        <span class="text-danger" *ngIf="addUserForm.controls['email'].errors&& addUserForm.controls['email'].hasError('email')">
                         please enter a valid email
                        </span>
                      </div>
                      <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">phoneNumber</label>
                        <input type="text" class="form-control"  formControlName ='phoneNumber' aria-describedby="emailHelp">
                        <span *ngIf="addUserForm.controls['phoneNumber'].errors&& addUserForm.controls['phoneNumber'].hasError('required')">
                          phoneNumber is required
                        </span>
                        <span class="text-danger" *ngIf="addUserForm.controls['phoneNumber'].errors&& addUserForm.controls['phoneNumber'].hasError('minlength')">
                          minimum length is 10
                        </span>
                      </div>
                      <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">Blood Group</label>
                        <input type="text" class="form-control"  formControlName ='bloodGroup' aria-describedby="emailHelp">
                        <span *ngIf="addUserForm.controls['bloodGroup'].errors&& addUserForm.controls['bloodGroup'].hasError('required')">
                          bloodGroup is required
                        </span>
                        <span class="text-danger" *ngIf="addUserForm.controls['bloodGroup'].errors&& addUserForm.controls['bloodGroup'].hasError('minlength')">
                          minimum length is 1
                        </span>
                      </div>
                    <div class="mb-3">
                      <label for="exampleInputPassword1" class="form-label">Password</label>
                      <input type="password" class="form-control" formControlName ='password' >
                      <span *ngIf="addUserForm.controls['password'].errors&& addUserForm.controls['password'].hasError('required')">
                        password is required
                      </span>
                      <span class="text-danger" *ngIf="addUserForm.controls['password'].errors&& addUserForm.controls['password'].hasError('minlength')">
                        minimum length is 4
                      </span>
                    </div>
                    <button type="submit" class="btn" [disabled]="!addUserForm.valid">Sign-Up</button>
                  </form>
                  <div class="anc"> <a routerLink="/login">Already Registered? Click to login </a>
                  </div>

            </div>
        </div>
    </div>
</div>